//
//	BSP data definitions
//

#include "bspdefn.hpp"

// storage for event handler numbers
int	evhno_Processor;
int evhno_OptionsWindow;
int evhno_InfoWindow;
int	evhno_ViewWindow;
int	evhno_3DWindow;

// storage for global variables (with some pre-defined values)

int ctrl_pts_x = 98;
int	ctrl_pts_y = 98;

int minimum_height		= 20;	// from min height to sea max is for lakes
int sea_max				= 10 + minimum_height;
int swamp_max			= 10 + sea_max;
int grass_max			= 10 + swamp_max;
int plains_max			= 10 + grass_max;
int hills_max			= 10 + plains_max;
int mountains_max		= 10 + hills_max;
int maximum_height		= mountains_max+10;

// number of seperate starting locations for:
int num_lakes			= 20;
int num_swamp			= 5;
int num_grass			= 5;
int num_plains			= 5;
int num_hills			= 10;
int num_mountains		= 5;

// how long a mountain range will grow
int range_length		= 10;

// how far they spread:
int spread_lakes		= 50;
int spread_swamp		= 50;
int spread_grass		= 1000;
int spread_plains		= 5000;
int spread_hills		= 100;
int spread_mountains	= 50;

// how much the height will change from control point to control point
// keep as odd numbers
int variation_lakes		= 3;
int variation_swamp		= 3;
int variation_grass		= 3;
int variation_plains	= 3;
int variation_hills		= 3;
int variation_mountains	= 3;

grVirtualBuffer* map;
grVirtualBuffer* map3D;

int	display_mode; 	// note: cannot set this as we want to be able to create
					// 		 the handlers in any order (possibly)
