//	-------------------------------------------------------------------------
//
//	PROC.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Processor.
//
//	-------------------------------------------------------------------------

#ifndef __proc_hpp
#define __proc_hpp

#include "backgrnd.hpp"

class Processor : public BackgroundTask
	{
	public:
		Processor();

		void Generate3DMap();

		void GenerateBase(int base_height);
		void GenerateBumps(int x,int y,int spread,int variation,int min,int max);

		virtual void HandleEvent(Event &e);
	};

#endif

