//	-------------------------------------------------------------------------
//
//	VIEW.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Viewing Window
//
//	-------------------------------------------------------------------------

#ifndef __view_hpp
#define __view_hpp

#include "onscreen.hpp"

class ViewWindow : public OnScreenHandler
	{
	private:
		int x_pos,y_pos;

	public:
		ViewWindow();

		virtual void Draw();
		virtual void HandleEvent(Event& e);
	};

#endif

