
//
//
//

#ifndef __sys_hpp
#define __sys_hpp

extern	long	SYS_MemSize;	// total memory available
extern	long	SYS_MemAvail;	// whats left of the available memory
extern	long	SYS_MemUsed;	// whats used of the available memory

extern	void	SYS_CheckMemory();		// figures how much memory is avail
										// called by Program::Program()

extern	void*	SYS_Malloc(long nbytes);	// malloc a block of 'n' bytes
extern	void*	SYS_Free(void* block);		// free a previously allocated block

extern	void*	SYS_Memset(void* s,int c,long n);		// as per std. memset
extern	void*	SYS_Memcpy(void* d,void* s,long n); 	// as per std. memcpy

extern	void	SYS_Status();

#endif