//	-------------------------------------------------------------------------
//
//	SETUP.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the declaration of the SETUP_SCREEN
//
//	-------------------------------------------------------------------------

#ifndef __setup_hpp
#define __setup_hpp

#include "onscreen.hpp"

class SetupScreen : public OnScreenHandler
	{
	public:
		SetupScreen();

		void	DrawRandom(bool	refresh = true);
		void	DrawPlayers(bool refresh = true);
		void	DrawCities(bool refresh = true);
		void	DrawRailroads(bool refresh = true);

		virtual void 	Draw();
		virtual void 	HandleEvent(Event& e);
	};

#endif

