//	-------------------------------------------------------------------------
//
//	SYSTEM.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This object is used to display system information during
//					testing of a program.
//
//	-------------------------------------------------------------------------

#ifndef __system_hpp
#define __system_hpp

#include "onscreen.hpp"

class System : public OnScreenHandler
	{
	public:
		System();	// the constructor

		virtual void Animate();
		virtual void HandleEvent(Event& e);
	};

#endif

