//	-------------------------------------------------------------------------
//
//	CITYINFO.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the City Information object
//
//	-------------------------------------------------------------------------

#ifndef __cityinfo_hpp
#define __cityinfo_hpp

#include "mapinfo.hpp"

// -----------------

class CityInfo : public MapInfoBox
	{
	private:
		grPoint*		city_pt;

	public:
						CityInfo();

		void			DrawContents();
		virtual void 	HandleEvent(Event &e);
	};


// -----------------

extern  CityInfo*		CITY_INFOBOX;
extern	int				evhno_CityInfo;

// -----------------

#endif

