//	-------------------------------------------------------------------------
//
//	ECONBAR.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Economy Bar object
//
//	-------------------------------------------------------------------------

#ifndef __econbar_hpp
#define __econbar_hpp

#include "infobox.hpp"

// -----------------

class EconomyBar : public InfoBox
	{
	private:
		long			last_date;
		short			last_date_x;

		short			last_economy;
		short			last_economy_x;

		short			centre_x;
		short			centre_y;

	public:
						EconomyBar();

		virtual	void	DrawBox();
		virtual	void	DrawTitle();
		virtual	void	DrawContents();

		virtual	void	DrawDate();
		virtual void	DrawEconomy();

		virtual void 	HandleEvent(Event &e);
	};


// -----------------

extern  EconomyBar*			ECONOMY_BAR;
extern	int					evhno_EconomyBar;

// -----------------

#endif

