//	-------------------------------------------------------------------------
//
//	FOLDRBOX.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the generic FolderBox object
//
//	-------------------------------------------------------------------------

#ifndef __foldrbox_hpp
#define __foldrbox_hpp

#include "infobox.hpp"

// -----------------

class FolderBox : public InfoBox
	{
	private:
		int*			parent_handler;

	public:
						FolderBox( int x1,int y1,int x2,int y2,
									int* evhno, int* parent_evhno,
									int type, char* name);
		virtual 		~FolderBox();

		virtual	void	Open();
		virtual	void	Close();

		virtual	void	HandleEvent(Event& e);
	};


// -----------------

extern	FolderBox*		FOLDER_BOX;

// -----------------

#endif

