//	-------------------------------------------------------------------------
//
//	GAMEFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Game Folder code
//
//	-------------------------------------------------------------------------

#include "gamefold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"
#include "guidefn.hpp"
#include "buttons.hpp"

// -----------------

GameFolder*		GAME_FOLDER;
int				evhno_GameFolder;

// -----------------

GameFolder::GameFolder()
	: Folder(&evhno_GameFolder,"Game Options",ac_OtherFolder,NULL)
	{
	int maxx = r.right-r.left;
	int maxy = r.bottom-r.top;
	AddAccessory(new PictureButton(maxx-8-40,maxy-8-40,0,
					GUI_BUTTONS[QUIT_BUTTON],
					GUI_BUTTONS[QUIT_BUTTON+1],0,cmdExitProgram));
	}

// -----------------

void	GameFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the Game Folder");
	}

// -----------------

void 	GameFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
