//	-------------------------------------------------------------------------
//
//	HOWMANY.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the window asking "How Many?"
//
//	-------------------------------------------------------------------------

#ifndef __howmany_hpp
#define __howmany_hpp

#include "onscreen.hpp"
#include "resource.hpp"

class HowMany : public OnScreenHandler
	{
	private:
		int				max_val;
		int				value;
		int				selected;

		ResourceFile* 	buttons_file;
		grImage**	  	buttons;

	public:
		HowMany();
		virtual ~HowMany();

		void	CalcValue();
		void	DrawValue(bool auto_refresh = true);

		virtual	void 	Draw();
		virtual void	Open();
		virtual	void	Close();

		virtual void 	HandleEvent(Event& e);
	};

#endif

