//	-------------------------------------------------------------------------
//
//	MKTBOX.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the declaration of the MARKET_BOX
//
//	-------------------------------------------------------------------------

#ifndef __mktbox_hpp
#define __mktbox_hpp

#include "onscreen.hpp"
#include "resource.hpp"
#include "gamedefn.hpp"

class MarketBox : public OnScreenHandler
	{
	public:
		MarketBox();

		void	DrawGraph(bool auto_refresh = true);
		void	DrawInfo(bool auto_refresh = true);

		virtual void 	Draw();

		virtual	void	Open();
		virtual	void	Close();

		virtual void 	HandleEvent(Event& e);
	};

#endif

