//	-------------------------------------------------------------------------
//
//	OPPINFO.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the code for the OPPONENT_INFO_WINDOW
//
//	-------------------------------------------------------------------------

#include "oppinfo.hpp"
#include "eventmgr.hpp"
#include "gamedefn.hpp"
#include "graphics.hpp"
#include "strings.hpp"

OpponentInfo::OpponentInfo()
	: OnScreenHandler(oppinfo_r.left,oppinfo_r.top,oppinfo_r.right,oppinfo_r.bottom,
					  BG_COLOR,bs_NONE,bs_NONE,
					  &evhno_OpponentInfo,0,1)
	{
	}

void OpponentInfo::Draw()
	{
	// draw the window background & border
	grDrawWindow(r.left,r.top,r.right,r.bottom,bgcolor,active_bs);

	// draw the current date
	grDraw2CString(r.left+10,r.top,grLIGHTGREEN,"J.P. Morgan acts for C & NW, builds 25 miles of track");
	grDraw2CString(r.left+10,r.top+24,grLIGHTRED,"Cornelius Vanderbilt acts for C B & Q, surveys St. Petersburg to Vancouver");
//	grDraw2CString(r.left+10,r.top+40,grLIGHTRED,"nopqrstuvwxyz ~`!@#$%^&*()_+-={}[]:"";'<>?,./|\\");
	}

void OpponentInfo::HandleEvent(Event& e)
	{
	OnScreenHandler::HandleEvent(e);
	}