//	-------------------------------------------------------------------------
//
//	PLINFBAR.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:		Darren J. Dwyer
//
//	DESCRIPTION:	This is the declaration of the PLAYER_INFO_BAR
//
//	-------------------------------------------------------------------------

#ifndef __plinfbar_hpp
#define __plinfbar_hpp

#include "onscreen.hpp"
#include "resource.hpp"

class PlayerInfoBar : public OnScreenHandler
	{
	protected:
		ResourceFile* 	buttons_file;
		grImage**	  	buttons;
    	
	public:
		PlayerInfoBar();
		virtual ~PlayerInfoBar();

		virtual void 	Draw();

		void			OpenInfoBox(int handler,int mode);

		virtual void 	HandleEvent(Event& e);
	};

#endif

