//	-------------------------------------------------------------------------
//
//	RRINFBAR.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:		Darren J. Dwyer
//
//	DESCRIPTION:	This is the declaration of the RR_INFO_BAR
//
//	-------------------------------------------------------------------------

#ifndef __rrinfbar_hpp
#define __rrinfbar_hpp

#include "onscreen.hpp"
#include "resource.hpp"

class RRInfoBar : public OnScreenHandler
	{
	protected:
		ResourceFile* 	buttons_file;
		grImage**	  	buttons;
    	
	public:
		RRInfoBar();
		virtual ~RRInfoBar();

		virtual void 	Draw();

		void			OpenInfoBox(int handler,int mode);

		virtual void 	HandleEvent(Event& e);
	};

#endif

