//	-------------------------------------------------------------------------
//
//	OPERFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Operations Folder code
//
//	-------------------------------------------------------------------------

#include "operfold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"

// -----------------

OperationsFolder*		OPERATIONS_FOLDER;
int						evhno_OperationsFolder;

// -----------------

OperationsFolder::OperationsFolder()
	: Folder(&evhno_OperationsFolder,"Railroad Operations",
				ac_RailroadFolder,NULL)
	{
	}

// -----------------

void	OperationsFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the Operations Folder");
	}

// -----------------

void 	OperationsFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
