//	-------------------------------------------------------------------------
//
//	PRESFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Pres Folder code
//
//	-------------------------------------------------------------------------

#include "presfold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "guidefn.hpp"

// -----------------

#include "player.hpp"
#include "railroad.hpp"

// -----------------

#include "eventmgr.hpp"
#include "fonts.hpp"
#include "buttons.hpp"

// -----------------

PresFolder*		PRES_FOLDER;
int				evhno_PresFolder;

// -----------------

#define		cmdScrollUp				50000
#define		cmdScrollDn				50001
#define		cmdClickedRow			50002
#define		cmdClickedHighlight		50003

// -----------------

PresFolder::PresFolder()
	: Folder(&evhno_PresFolder,"Presidents Report",
				ac_PlayerFolder|ac_HasBigMode,NULL)
	{
	}

// -----------------

void	PresFolder::SetBigMode()
	{
	Folder::SetBigMode();
	}

// -----------------

void	PresFolder::SetSmallMode()
	{
	Folder::SetSmallMode();
	}

// -----------------

void 	PresFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}

