//	-------------------------------------------------------------------------
//
//	PRESFOLD.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Pres Folder definition
//
//	-------------------------------------------------------------------------

#ifndef __presfold_hpp
#define __presfold_hpp

#include "folder.hpp"

// -----------------

class PresFolder : public Folder
	{
	public:
						PresFolder();

		virtual	void	SetBigMode();
		virtual	void	SetSmallMode();

		virtual void 	HandleEvent(Event &e);
	};


// -----------------

extern	PresFolder*			PRES_FOLDER;
extern	int					evhno_PresFolder;

// -----------------

#endif

