//	-------------------------------------------------------------------------
//
//	QUERY.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the basic Query definition
//
//	-------------------------------------------------------------------------

#ifndef __query_hpp
#define __query_hpp

#include "onscreen.hpp"

// -----------------

// query  options             - 0x00XX0000   same as folder options
#define		ac_PlayerQuery		0x00010000
#define		ac_RailroadQuery	0x00020000
#define		ac_OtherQuery		0x00040000

// -----------------

class Query : public OnScreenHandler
	{
	private:
		int				name_xpos;
		int				name_ypos;

		char*			query_name;
		int				query_level;
		int				query_type;

	protected:
		int*			parent_handler;

	public:
						Query( int* evhno,
							   int options,
							   int level,
							   int type,
							   char* name,
							   int* parent );

		virtual	void	SetQueryColors();

		virtual	void	DrawTitleBar();
		virtual	void	DrawContents();
		virtual void 	Draw();
	};


// -----------------

#endif

