//	-------------------------------------------------------------------------
//
//	ROUTFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Routes Folder code
//
//	-------------------------------------------------------------------------

#include "routfold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"

// -----------------

RoutesFolder*		ROUTES_FOLDER;
int					evhno_RoutesFolder;

// -----------------

RoutesFolder::RoutesFolder()
	: Folder(&evhno_RoutesFolder,"Route Information",
				ac_RailroadFolder,NULL)
	{
	}

// -----------------

void	RoutesFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the Routes Folder");
	}

// -----------------

void 	RoutesFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
