//	-------------------------------------------------------------------------
//
//	RRINFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the RR Folder code
//
//	-------------------------------------------------------------------------

#include "rrinfold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"

// -----------------

RRInfoFolder*	RRINFO_FOLDER;
int				evhno_RRInfoFolder;

// -----------------

RRInfoFolder::RRInfoFolder()
	: Folder(&evhno_RRInfoFolder,"Railroad Information",
				ac_RailroadFolder,NULL)
	{
	}

// -----------------

void	RRInfoFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the RR Folder");
	}

// -----------------

void 	RRInfoFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
