//	-------------------------------------------------------------------------
//
//	RRPLFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the ProfitLoss Folder code
//
//	-------------------------------------------------------------------------

#include "rrplfold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"

// -----------------

ProfitLossFolder*		PROFITLOSS_FOLDER;
int						evhno_ProfitLossFolder;

// -----------------

ProfitLossFolder::ProfitLossFolder()
	: Folder(&evhno_ProfitLossFolder,"Profit/Loss Statement",
			ac_RailroadFolder|ac_HasBigMode,NULL)
	{
	}

// -----------------

void	ProfitLossFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the ProfitLoss Folder");
	}

// -----------------

void 	ProfitLossFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
