//	-------------------------------------------------------------------------
//
//	SPYFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Spy Folder code
//
//	-------------------------------------------------------------------------

#include "spyfold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"

// -----------------

SpyFolder*		SPY_FOLDER;
int				evhno_SpyFolder;

// -----------------

SpyFolder::SpyFolder()
	: Folder(&evhno_SpyFolder,"Acme Detectives",
				ac_PlayerFolder,NULL)
	{
	}

// -----------------

void	SpyFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the Spy Folder");
	}

// -----------------

void 	SpyFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
