//	-------------------------------------------------------------------------
//
//	BUTWIN.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Andrew Carvel Evans
//
//	DESCRIPTION:	These are the Bitmap and Palette Button Window
//
//	-------------------------------------------------------------------------

#ifndef __butwin_hpp
#define __butwin_hpp

#include "onscreen.hpp"
#include "tooldefn.hpp"

class BmpButtonRegion : public OnScreenHandler
	{
	public:
				BmpButtonRegion();
				~BmpButtonRegion();

		void	Draw();
		void	HandleEvent(Event& e);
	};

extern	int					evhno_BmpButtonRegion;
extern	BmpButtonRegion*	bmpbutwin;

class PalButtonRegion : public OnScreenHandler
	{
	public:
				PalButtonRegion();
				~PalButtonRegion();

		void	ModifyColour(int index, int entry, int movement);

		void	Draw();
		void	HandleEvent(Event& e);
		bool	HandleArrows(Event& e);
	};

extern	int					evhno_PalButtonRegion;
extern	PalButtonRegion*	palbutwin;

#endif
