//	-------------------------------------------------------------------------
//
//	RANGEWIN.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Andrew Carvel Evans
//
//	DESCRIPTION:	This is the Fill Range Bar Window
//
//	-------------------------------------------------------------------------

#ifndef __rangewin_hpp
#define __rangewin_hpp

#include "onscreen.hpp"
#include "grid.hpp"

#include "tooldefn.hpp"

#define		step_PREC				1000

class FillRangeRegion : public OnScreenHandler
	{
	public:
		Grid*	range_grid;
		int		number_indexes;

				FillRangeRegion();
				~FillRangeRegion();

		void	FillRangeBar();

		void	Draw();
		void	HandleEvent(Event& e);
	};

extern	int					evhno_FillRangeRegion;
extern	FillRangeRegion*	fillrngwin;

#endif
