//	-------------------------------------------------------------------------
//
//	D3.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the 3D Viewing Window
//
//	-------------------------------------------------------------------------

#include "d3.hpp"
#include "eventmgr.hpp"
#include "timer.hpp"
#include "keydefns.hpp"
#include "buttons.hpp"

#include "bspdefn.hpp"

D3Window::D3Window()
	: OnScreenHandler(d3_left,d3_top,d3_right,d3_bottom,grBLACK,bs_NONE,bs_NONE,
					&evhno_3DWindow,0,1)
	{
	isOnScreen = false;	// make sure window is not open at startup
						// as  default == isOnScreen == true
	}

void D3Window::Draw()
	{
	// pretty simple huh??
	grPutImage(d3_left,d3_top,d3_right,d3_bottom,map3D);
	}

void	D3Window::HandleEvent(Event& e)
	{
	if (e.what==ev_mouse) Refresh();
	OnScreenHandler::HandleEvent(e);
	}
