//	-------------------------------------------------------------------------
//
//	INFO.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Information Window
//
//	-------------------------------------------------------------------------

#include "info.hpp"
#include "eventmgr.hpp"
#include "timer.hpp"
#include "keydefns.hpp"
#include "buttons.hpp"

#include "bspdefn.hpp"

InfoWindow::InfoWindow()
	: OnScreenHandler(0,0,d3_right,d3_top-1,grDARKGRAY,bs_RAISED,bs_NONE,
					&evhno_InfoWindow,0,1)
	{
	}

void InfoWindow::Draw()
	{
	int x = r.left+ grSizeOfBorder[active_bs] + 2;
	int y = r.top + grSizeOfBorder[active_bs] + 2;

	grDrawWindow(r.left,r.top,r.right,r.bottom,bgcolor,active_bs);

	grDrawString(x,y,"CTRL X:%d,Y:%d",ctrl_pts_x,ctrl_pts_y);

/*	grDrawString(x,y,"CTRL X:%d,Y:%d PLNS:%d ROLL:%d %d %d HILL:%d %d %d MTNS:%d %d %d",
					ctrl_pts_x,ctrl_pts_y,min_rolling_height,
					min_hills_height,num_rolling,rolling_spread,
					min_mountains_height,num_hills,hill_spread,
					maximum_height,num_mountains,mountain_spread);
*/
	grBlitRegion(r.left,r.top,r.right,r.bottom);
	}
