//	-------------------------------------------------------------------------
//
//	DEFFILE.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Andrew C. Evans.
//
//	DESCRIPTION:	This file contains declarations for the DEFinitionFILE
//					class
//
//	-------------------------------------------------------------------------

#ifndef __deffile_hpp
#define __deffile_hpp

#include "textfile.hpp"

// display mode defines
#define		TEXT			0
#define		GRAPHICS		1

class DEFFile : public TextFile
	{
	public:
						DEFFile(char* filename);
						DEFFile(String* filename);
						DEFFile(String* path,String* filename);
						DEFFile(char* path,char* filename);

				String*	ResourceName();

				int		ResourceType();
				long	MaxRecords();

				int		DisplayMode();

				String*	Record(int record_number);
				String*	RecordList();
	};

#endif
