#include "points.hpp"
//DJD --- TEMPORARILY TILL HARDWARE CURSOR INTERFACE
#include "mouse.hpp"
//DJD --- END

// -------------

void 	grSwap(grPoint* v1, grPoint* v2)
	{
	grPoint temp = { (*v1).x, (*v1).y };
	(*v1).x = (*v2).x;
	(*v1).y = (*v2).y;

	(*v2).x = temp.x;
	(*v2).y = temp.y;
	}


// -------------

void 	grPutPixelVirtual(grVB* vb,int x,int y,int color)
	{
//DJD --- TEMPORARILY TILL HARDWARE CURSOR INTERFACE
//mouse_UpdateCursor();
//DJD --- END
	if (!vb) return;

	CLIP2(x,y,0,0,vb->hdr.width-1,vb->hdr.height-1);
	vb->data[y*vb->hdr.width+x] = color;
	}


// -------------

int 	grGetPixelVirtual(grVB* vb,int x,int y)
	{
//DJD --- TEMPORARILY TILL HARDWARE CURSOR INTERFACE
//mouse_UpdateCursor();
//DJD --- END

	if (!vb) return 0;

	CLIP2(x,y,0,0,vb->hdr.width-1,vb->hdr.height-1);
	return vb->data[y*vb->hdr.width+x];
	}