#include "tiles.hpp"

// tiles an image into a virtual buffer using method:

//		NO_ROTATE
//		AUTO_ROTATE
//
//		(possibly) in conjuction with
//		GLOBAL
//
void grTileRectVirtual(grVirtualBuffer* vb,
				int x1,int y1,int x2,int y2,
				int tr_color,grImage* tile, int method)
	{
//	grDrawRectVirtual(vb,x1,y1,x2,y2,grWHITE);

	int width 	= tile->hdr.width;
	int height 	= tile->hdr.height;

	int xmin=x1;
	int ymin=y1;
	int xmax=x1 + width-1;
	int ymax=y1 + height-1;

	do
		{
		int tmpy = min(ymax,y2);

		do
			{
			int tmpx = min(xmax,x2);

			if (tr_color==-1)
				grPutImageVirtual(vb,xmin,ymin,tmpx,tmpy,tile);
			else
				grOverlayImageVirtual(vb,xmin,ymin,tmpx,tmpy,tr_color,tile);

			xmin += width;
			xmax += width;
			}
		while (xmin<x2);

		ymin += height;
		ymax += height;

		xmin = x1;
		xmax = x1 + width-1;
		}
	while (ymin<y2);
	}

