#include "vbuffer.hpp"
#include "rects.hpp"

//#include "conio.h"
//#include "stdio.h"

// ------------

grVB* grCreateVirtual(int x1,int y1,int x2,int y2,int clear)
	{
	long	siz = grVirtualSize(x1,y1,x2,y2);

//	printf("grVirtualSize reports %d\n",siz);

	// malloc memory
	grVB* p = (grVB*) SYS_Malloc(siz);

//	printf("Created VB at %p\n",p);

	if (p!=NULL)
		{
		// and create a header
		p->hdr.width  = (x2-x1+1);
		p->hdr.height = (y2-y1+1);

//		printf("vb->hdr.width = %d\n",p->hdr.width);
//		printf("vb->hdr.height = %d\n",p->hdr.height);

		// fill the virtual buffer with clear color iff required
		if (clear!=-1) grClearVirtual(p,clear);
		}

	// return the new buffer
	return p;
	}

// ------------

long	grVirtualSize(int x1,int y1,int x2,int y2)
	{
	return (x2-x1+1) * (y2-y1+1) + sizeof(grVBHeader);
	}

// ------------

long	grVirtualSize(grVB* vb)
	{
	if (vb) return vb->hdr.width * vb->hdr.height + sizeof(grVBHeader);
	else 	return 0;
	}

// ------------

void grClearVirtual(grVB* vb,int color)
	{
	if (!vb) return;

	grDrawFilledRectVirtual(vb,0,0,vb->hdr.width-1,vb->hdr.height-1,color);
	}

// ------------

