//	-------------------------------------------------------------------------
//
//	FNCEFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Finance Folder code
//
//	-------------------------------------------------------------------------

#include "fncefold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"

// -----------------

FinanceFolder*		FNCE_FOLDER;
int					evhno_FinanceFolder;

// -----------------

FinanceFolder::FinanceFolder()
	: Folder(&evhno_FinanceFolder,"Railroad Finance",ac_RailroadFolder,NULL)
	{
	}

// -----------------

void	FinanceFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the Finance Folder");
	}

// -----------------

void 	FinanceFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
