//	-------------------------------------------------------------------------
//
//	MAPINFO.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the generic Map InfoBox object
//
//	-------------------------------------------------------------------------

#ifndef __mapinfo_hpp
#define __mapinfo_hpp

#include "infobox.hpp"

// -----------------

class MapInfoBox : public InfoBox
	{
	private:
	protected:
	public:

						MapInfoBox( int x1,int y1,int x2,int y2,
									int* evhno,
									int type,char* name);
		virtual 		~MapInfoBox();

		virtual	void	Refresh();

		virtual	void	Open();
		virtual	void	Close();

		virtual	void	HandleEvent(Event& e);
	};


// -----------------

extern	MapInfoBox*		MAP_INFO_BOX;

// -----------------

#endif

