//	-------------------------------------------------------------------------
//
//	BANKBOX.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the declaration of the BANK_BOX
//
//	-------------------------------------------------------------------------

#ifndef __bankbox_hpp
#define __bankbox_hpp

#include "onscreen.hpp"
#include "resource.hpp"
#include "gamedefn.hpp"

class BankBox : public OnScreenHandler
	{
	public:
		BankBox();

		virtual void 	Draw();

		virtual	void	Open();
		virtual	void	Close();

		virtual void 	HandleEvent(Event& e);
	};

#endif

