//	-------------------------------------------------------------------------
//
//	MSGWIN.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:		Darren J. Dwyer
//
//	DESCRIPTION:	This is the declaration of the MESSAGE_WINDOW
//
//	-------------------------------------------------------------------------

#ifndef __msgwin_hpp
#define __msgwin_hpp

#include "onscreen.hpp"
#include "resource.hpp"
#include "graphics.hpp"

class MessageWindow : public OnScreenHandler
	{
	private:
		int				Ticker;
		int				response;

	public:
		MessageWindow();
		virtual ~MessageWindow();

		virtual void 	Draw();

		virtual	void	Open();
		virtual	void	Close();

		virtual void 	HandleEvent(Event& e);
	};

#endif

