//	-------------------------------------------------------------------------
//
//	PLACTION.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:		Darren J. Dwyer
//
//	DESCRIPTION:	This is the declaration of the PLAYER_ACTIONS_BAR
//
//	-------------------------------------------------------------------------

#ifndef __plaction_hpp
#define __plaction_hpp

#include "onscreen.hpp"
#include "resource.hpp"

class PlayerActionsBar : public OnScreenHandler
	{
	protected:
		ResourceFile* 	buttons_file;
		grImage**	  	buttons;

	public:
		PlayerActionsBar();
		virtual ~PlayerActionsBar();

		virtual void 	Draw();

		virtual void 	HandleEvent(Event& e);
	};

#endif

