//	-------------------------------------------------------------------------
//
//	RRACTION.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:		Darren J. Dwyer
//
//	DESCRIPTION:	This is the declaration of the RR_ACTIONS_BAR
//
//	-------------------------------------------------------------------------

#ifndef __rraction_hpp
#define __rraction_hpp

#include "onscreen.hpp"
#include "resource.hpp"

class RRActionsBar : public OnScreenHandler
	{
	protected:
		ResourceFile* 	buttons_file;
		grImage**	  	buttons;

	public:
		RRActionsBar();
		virtual ~RRActionsBar();

		virtual void 	Draw();

		virtual void 	HandleEvent(Event& e);
	};

#endif

