//	-------------------------------------------------------------------------
//
//	OPPFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Opponent Folder code
//
//	-------------------------------------------------------------------------

#include "oppfold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"

// -----------------

OpponentFolder*		OPP_FOLDER;
int					evhno_OpponentFolder;

// -----------------

OpponentFolder::OpponentFolder()
	: Folder(&evhno_OpponentFolder,"Opponent Information",
				ac_PlayerFolder|ac_HasBigMode,NULL)
	{
	}

// -----------------

void	OpponentFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the Opponent Folder");
	}

// -----------------

void 	OpponentFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
