//	-------------------------------------------------------------------------
//
//	QBUYBNDS.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Buy Bonds Query definition
//
//	-------------------------------------------------------------------------

#ifndef __qbuybnds_hpp
#define __qbuybnds_hpp

#include "query.hpp"

// -----------------

class BuyBondsQuery : public Query
	{
	private:
		int				bonds;

	public:
						BuyBondsQuery();

		virtual	void	DrawContents();

		void			DrawInput();
		void			RefreshInput();

		virtual void 	HandleEvent(Event &e);
	};


// -----------------

extern	BuyBondsQuery*	BUYBONDS_QUERY;
extern	int				evhno_BuyBondsQuery;

// -----------------

#endif

