//	-------------------------------------------------------------------------
//
//	RRSFOLD.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the RRs Folder definition
//
//	-------------------------------------------------------------------------

#ifndef __rrsfold_hpp
#define __rrsfold_hpp

#include "folder.hpp"
#include "scrolbox.hpp"

// -----------------

class RRsFolder : public Folder
	{
	public:
						RRsFolder();

		virtual	void	SetBigMode();
		virtual	void	SetSmallMode();

		virtual void 	HandleEvent(Event &e);
	};


// -----------------

extern	RRsFolder*			RRS_FOLDER;
extern	int					evhno_RRsFolder;

// -----------------

class	RRsScrollBox : public ScrollBox
	{
	public:
		RRsScrollBox(int x1,int y1,int x2,int y2,
						int rows,int maxrows,
						int options,
						int hit_row_event,int hit_hi_row_event);

		//	--- draw functions

		virtual	void	DrawRow(int row,bool auto_fill=true);
		virtual	void	DrawHighlightedRow(int row,bool auto_fill=true);

		virtual void	DrawTitle();
		virtual	void	DrawRowContents(int row,bool is_highlighted);
	};

// -----------------

#endif

