//	-------------------------------------------------------------------------
//
//	SUBFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Subsid Folder code
//
//	-------------------------------------------------------------------------

#include "subfold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"

// -----------------

SubsidFolder*		SUBSID_FOLDER;
int					evhno_SubsidFolder;

// -----------------

SubsidFolder::SubsidFolder()
	: Folder(&evhno_SubsidFolder,"Subsidiaries",
				ac_RailroadFolder,NULL)
	{
	}

// -----------------

void	SubsidFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the Subsid Folder");
	}

// -----------------

void 	SubsidFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
