//	-------------------------------------------------------------------------
//
//	TERRINFO.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Terrain Information object
//
//	-------------------------------------------------------------------------

#ifndef __terrinfo_hpp
#define __terrinfo_hpp

#include "mapinfo.hpp"

#define cmdRefreshTerrainInfo	40000

// -----------------

class TerrainInfo : public MapInfoBox
	{
	private:
		grPoint*		terrain_pt;
		int				width;
		int				dx;
		bool			ScrollingOut;
		int				scroll_ticker;

	public:
						TerrainInfo();

		void			DrawContents();
		void			ScrollOut();
		void			ScrollIn();
		void			StartRefresh();

		virtual void 	HandleEvent(Event &e);
	};


// -----------------

extern  TerrainInfo*		TERRAIN_INFOBOX;
extern	int					evhno_TerrainInfo;

// -----------------

#endif

