//	-------------------------------------------------------------------------
//
//	TRNFOLD.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This is the Trains Folder code
//
//	-------------------------------------------------------------------------

#include "trnfold.hpp"
#include "uidefn.hpp"
#include "gamedefn.hpp"
#include "player.hpp"
#include "fonts.hpp"

// -----------------

TrainsFolder*	TRAINS_FOLDER;
int				evhno_TrainsFolder;

// -----------------

TrainsFolder::TrainsFolder()
	: Folder(&evhno_TrainsFolder,"Trains",
				ac_RailroadFolder,NULL)
	{
	}

// -----------------

void	TrainsFolder::DrawContents()
	{
	Folder::DrawContents();

	grSetFont(BASICFONT);
	grDraw2CString(r.left+50,r.top+50,folder_text,"This is the Trains Folder");
	}

// -----------------

void 	TrainsFolder::HandleEvent(Event &e)
	{
	// handle buttons, etc.
	Folder::HandleEvent(e);
	}
