//	-------------------------------------------------------------------------
//
//	PALWIN.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Andrew Carvel Evans
//
//	DESCRIPTION:	This is the Palette Window
//
//	-------------------------------------------------------------------------

#ifndef	__palwin_hpp
#define	__palwin_hpp

#include "onscreen.hpp"
#include "grid.hpp"

#include "tooldefn.hpp"

class PaletteRegion : public OnScreenHandler
	{
	public:
		Grid*	palette_grid;

				PaletteRegion();
				~PaletteRegion();

		void	Draw();
		void	HandleEvent(Event& e);
	};

extern	int				evhno_PaletteRegion;
extern	PaletteRegion*	palwin;

#endif
