//	-------------------------------------------------------------------------
//
//	THUMBWIN.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Andrew Carvel Evans
//
//	DESCRIPTION:	This is the Thumb Window
//
//	-------------------------------------------------------------------------

#ifndef	__thumbwin_hpp
#define	__thumbwin_hpp

#include "onscreen.hpp"
#include "grid.hpp"

#include "tooldefn.hpp"

class ThumbRegion : public OnScreenHandler
	{
	public:
		// Thumbnail Selection Bar
		Grid*	thumbnails;
		int		thumbnail_start_index;

				ThumbRegion();
				~ThumbRegion();

		void	DrawThumb(int img_index);
		void	Draw();
		void	HandleEvent(Event& e);
	};

extern	int				evhno_ThumbRegion;
extern	ThumbRegion*	thumbwin;

#endif
